请教高手:关于系统共享库的升级

freefalcon 2004-10-11 05:45:04
我现在需要将系统(arm-linux,嵌入式)中的共享库如libc等进行升级
比如我现在将libc-2.2.2升级为libc-2.2.5
运行程序提示说
/lib/ld-linux.so.2: version `GLIBC_2.2.3' not found (required by /tmp/libc.so.6)
原因是ld-linux.so.2的版本不合要求

如果我将ld-linux.so.2也进行升级,那么arm在启动到加载文件系统时通不过
应该还是库的问题

有没有朋友做过类似的工作,我怎样才能全面升级(注意这是嵌入式),我需要对内核进行处理吗,对已有的程序该怎么操作?
...全文
44 点赞 收藏 2
写回复
2 条回复
切换为时间正序
请发表友善的回复…
发表回复
loveisbug 2004-10-29
没遇到要升级libc,gcc是什么版本?
回复
redex 2004-10-12
找个较低版本的libc试试
回复
发动态
发帖子
Linux_Kernel
创建于2007-08-27

4001

社区成员

Linux/Unix社区 内核源代码研究区
申请成为版主
社区公告
暂无公告